Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Persistent_Strategy Class Reference

Persistent strategy. More...

`#include <Active_Object_Map.h>`

Inheritance diagram for TAO_Persistent_Strategy:

[legend]
Collaboration diagram for TAO_Persistent_Strategy:

[legend]
List of all members.

## Public Methods
virtual int | find_servant_using_system_id_and_user_id (const PortableServer::ObjectId &system_id, const PortableServer::ObjectId &user_id, PortableServer::Servant &servant, TAO_Active_Object_Map::Map_Entry *&entry)
| Can be used with any policy.

## Detailed Description

Persistent strategy.

Strategy for the PERSISTENT policy.

## Member Function Documentation

int TAO_Persistent_Strategy::find_servant_using_system_id_and_user_id | ( | const PortableServer::ObjectId & | system_id,
|  | const PortableServer::ObjectId & | user_id,
|  | PortableServer::Servant & | servant,
|  | TAO_Active_Object_Map::Map_Entry *& | entry
| ) | `[virtual]`

| Can be used with any policy. Implements TAO_Lifespan_Strategy.

The documentation for this class was generated from the following files:

- Active_Object_Map.h
- Active_Object_Map.cpp